Skip to main content
GET
/
v1
/
jettons
/
{address}
/
stats
getJettonStatistics
curl --request GET \
  --url https://api.dyor.io/v1/jettons/{address}/stats
import requests

url = "https://api.dyor.io/v1/jettons/{address}/stats"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/{address}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1",
  "priceChange": {
    "ton": {
      "min15": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour6": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour12": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "day": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "week": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "month": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      }
    },
    "usd": {
      "min15": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour6": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour12": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "day": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "week": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "month": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      }
    }
  },
  "traders": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "tradersBuy": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "tradersSell": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "transactions": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "transactionsBuy": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "transactionsSell": {
    "hour": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "hour6": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "day": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "week": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    },
    "month": {
      "changePercent": -35.9,
      "previous": "39",
      "current": "25",
      "calculatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "volume": {
    "usd": {
      "hour": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour6": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "day": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "week": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "month": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      }
    },
    "buyUsd": {
      "hour": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour6": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "day": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "week": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "month": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      }
    },
    "sellUsd": {
      "hour": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "hour6": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "day": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "week": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      },
      "month": {
        "changePercent": 146.1,
        "previous": {
          "value": "1000500000",
          "decimals": 9
        },
        "current": {
          "value": "1000500000",
          "decimals": 9
        },
        "calculatedAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}
{
"code": 3,
"message": "invalid value",
"details": []
}
{
"code": 5,
"message": "not found",
"details": []
}
{
"code": 8,
"message": "too many requests",
"details": []
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Path Parameters

address
string
required

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

Response

A successful response.

address
string
Example:

"0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1"

priceChange
object
traders
object
tradersBuy
object
tradersSell
object
transactions
object
transactionsBuy
object
transactionsSell
object
volume
object